using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace WorkShop_Services
{
    [ServiceContract]
    public interface IService1
    {


        [OperationContract]
        string GetData();

        [WebInvoke(Method = "POST", UriTemplate = "IAccess", BodyStyle = WebMessageBodyStyle.WrappedRequest)]
        [OperationContract]
        int IAccess(String access, int id, string type);



        //  [WebInvoke(Method = "GET", UriTemplate = "/Authenticati/{username}/{password}", ResponseFormat = WebMessageFormat.Json)]

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String App_Version();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Login(String userno, String password);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        string IsValidUser(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String RoleDetail(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int AddAc(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int IList_Delete(String table, int id);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String IList_Data(String table, String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String IList_Data_Json(String table, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        string List_Accounts();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        string Ledger(int code, String from, String to);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Order_Load(String type);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String IList_Supervisor(int zone, int supervisor, int saleman, int town, int customer, int transport);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Order_Entry(int entry, String type);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int IList_Json_Insert(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int IList_Json_Update(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Ilist_Json_Delete(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int voucher_insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int voucher_update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int voucher_delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String voucher_entry(int entry, String type);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String voucher_list(String type);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String report_chq(String json);

        //Inventory Interfaces
        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String IInventory_GetEntry(String type, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int IInventory_Delete(String type, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int IInventory_Order_Update(String type, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String IInventory_Order_Insert(String type, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInvoice(String type, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInvoices(String json);



        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetLinkedItem();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GeItemByCode(int idno, String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetGeneralEntries(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadGeneral(String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetGeneralEntriesByCode(int key);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Aging(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadAging();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetLedger(String code);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetLinkedItemByRecords(String records);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String WeeklySheet(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Transaction_Detail(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String InsertVoucher(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String UpdateVoucher(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String filter_product(String where);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]

        String Invoice_Update(String json);
        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_Print1(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Invoice_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Rectification_Stocks_Load();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Rectification_Stocks_Get(String where, String token, String partno);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_Item_Get(String where, String token, String partno);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetQuotationLedger(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String InvoiceReload(String type);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Sales(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int GeneralVoucher_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Order_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Order_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Order_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadStockInvoices(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Stock_Transfer_Insert(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Stock_Transfer_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String PayRoll_IList_Data(String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String PayRoll_IList_Data_Json(String table, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int PayRoll_IList_Json_Delete(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int PayRoll_IList_Json_Insert(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int PayRoll_IList_Json_Update(String json, String table);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Quotation_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadQuotation(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Quotation_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Load_Quotation(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Quotation(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String ReOrder_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_ReOrder(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_OnSales_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_OnSales_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Invoice_OnSales_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Aging(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_HotSellingProducts(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_AdvancePayment(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String PendingQuotation(String acode);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String PendingQuotationByKey(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Arrivals_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Arrivals_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Arrival_Orders_Quotation_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Invoice_Print_Batch(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Pending_Authorization(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]

        String Pending_ReOrder_Authorization(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int AuthorizedQuotation(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Arrival(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetAccount(String token, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetBalance(String token, String code);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetProduct(String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String getVerifyStock(int product, string token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String VerifyStock_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Stock_In_Hand(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LedgerInvoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LedgerDropDown(String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String VerifyStock_Reset(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String VerifyStock_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Account_Transfer(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Purchase_Invoice_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Purchase_Invoice_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String PendingArrival();

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Purchase_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_ReOrder2(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Quotation_Print1(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Account_Info2(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Insert_Tools(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Update_Tools(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Tools_Invoice_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Tools_Issued_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Inventory_Issued_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Tools_Stock(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInventoryInvoices(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Item_Get(String where, String token, String partno);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Get_Invoice_By_Id(String table, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Invoice_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Invoice_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Inventory_Invoice_Delete(String jsondata);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Tools(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Tools_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInventoryIssued(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Issued_Invoice_By_Id(String table, String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Issued_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inventory_Issued_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Inventory_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Inventory(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInspection(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInspectionCharges(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String UpdateInspectionCharges(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Find_Inspection_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInspectionList(String Token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Find_Inspection(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Load(String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_ByEntry(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_PartsBook_Report(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInspectionById(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInspectionIamgesList(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Report_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Inspection(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Inspection_Profit(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Vehicle_Report_Load(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Vehicle_Inspection(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Report_Vehicle_Payments_Popup(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Ledger(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Purchase_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Purchase_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Load_Inspection_Return_Purchase(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Purchase_Return_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Purchase_Return_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Purchase_Return_Invoice_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Purchase_Return_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Purchase_Return_Invoice_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Purchase_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Purchase_Invoice_Delete(String json);

        [OperationContract]
        [WebInvoke(ResponseFormat = WebMessageFormat.Json, UriTemplate = "UploadImage", Method = "POST")]
        int UploadImage(Inspection_Obj order);

        [OperationContract]
        [WebInvoke(ResponseFormat = WebMessageFormat.Json, UriTemplate = "PostImage", Method = "POST")]
        string PostImage(Stream sm);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String DeleteImage(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInspectionOrders(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Orders_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Orders_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Orders_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Orders_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadPendingInspection(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String LoadInspectionInvoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Pending_Orders(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Pending_Refresh(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Labour(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Load_Inspection_Purchase(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Pending_PartNo(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Purchase_Invoice_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Invoice_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Get_Inspection_Invoice(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Print1(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetInspectionByVnNumber(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Inspection_Orders_Print1(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        int Vehicle_Add(String json);


        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Insert(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Update(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Delete(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_ByEntry(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Load(String token);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_ByDate(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Opening(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Valid(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String GetVouchers(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Print(String json);

        [WebGet(ResponseFormat = WebMessageFormat.Json)]
        [OperationContract]
        String Voucher_CashBook_Report(String json);


        [OperationContract]
        [WebGet(ResponseFormat = WebMessageFormat.Json, UriTemplate = "Test")]
        String Test();



    }

    // Use a data contract as illustrated in the sample below to add composite types to service operations.
    [DataContract]
    public class CompositeType
    {
        bool boolValue = true;
        string stringValue = "Hello ";

        [DataMember]
        public bool BoolValue
        {
            get { return boolValue; }
            set { boolValue = value; }
        }

        [DataMember]
        public string StringValue
        {
            get { return stringValue; }
            set { stringValue = value; }
        }
    }

    [DataContract]
    public class Inspection_Obj
    {
        [DataMember]
        public string insp_id { get; set; }

        [DataMember]
        public string insp_code { get; set; }


        [DataMember]
        public string id { get; set; }

        [DataMember]
        public string name { get; set; }

        [DataMember]
        public Byte[] images { get; set; }

        [DataMember]
        public string token { get; set; }

    }
}
